function kin = trplPileUp(t,h_kin,T_RR,n)

	% Parameterise h_kin to pass addition arguments
	%
	% Example Usage: 
	%
	% t=linspace(0,2000,100);
	% tau=[200,3000];
	% h_pl=@(t,tau) exp(-t/tau(2))-exp(-t/tau(1));
	% n=4
	% T_RR=(1/80)*1E6;
	% kin=trplPileUp(t,@(t) h_pl(t,tau),T_RR,n);
	%
	% Linking Example:
	%
	% trplPileUp(t,@(t) trplRetSweep(t,@(t) h_pl(t,tau),T_RR),T_RR,4);

	kin=sum(h_kin(bsxfun(@plus,t,((0:n)')*T_RR)));
	
end